#### D.6.20.2 deform

Procedure from library `sing.lib` (see sing_lib).

Usage:
  deform(id); id=ideal or poly

Return:
  matrix, columns are kbase of infinitesimal deformations

Example:

    LIB "sing.lib";
    ring r   = 32003,(x,y,z),ds;
    ideal i  = xy,xz,yz;
    matrix T = deform(i);
    print(T);
    ==> x,0,0,
    ==> 0,0,z,
    ==> 0,y,0
    print(deform(x3+y5+z2));
    ==> xy3,y3,xy2,y2,xy,y,x,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.